package com.zfire.jiasm.syncdata.dao.mapper;

import com.baomidou.mybatisplus.annotation.SqlParser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zfire.jiasm.syncdata.parameter.OrderPar;
import com.zfire.jiasm.syncdata.plus.entity.*;
import org.apache.ibatis.annotations.Param;

/**
 * 工单基础表 Mapper 接口
 * @author yaozx
 * @since 2023-02-28
 */
public interface GDOrderBaseMapper extends BaseMapper<OrderBase> {

    @SqlParser(filter = true)
    ItfTblAzAssignLcLsUpload getAzOrderBase(@Param("request") OrderPar request);
    @SqlParser(filter = true)
    ItfTblAssignUpload getItfTblAssignUpload(@Param("request") OrderPar request);
    @SqlParser(filter = true)
    ItfMessagehuifangentity getItfMessagehuifangentity(@Param("request") OrderPar request);
    @SqlParser(filter = true)
    ItfMessagehuifangentity getAZItfMessagehuifangentity(@Param("request") OrderPar request);
    @SqlParser(filter = true)
    ItfMessagehuifangentity getAZItfMessagehuifangentityT(@Param("request") OrderPar request);
    @SqlParser(filter = true)
    ItfMessagehuifangentity getItfMessagehuifangentityT(@Param("request") OrderPar request);

    @SqlParser(filter = true)
    ItfTblAzAssignLcLsUpload getAzOrderBaseCj(@Param("request") OrderPar request);

    @SqlParser(filter = true)
    OrderRepairOperatingLog getOrderBaseLog(@Param("request") OrderPar request);
    @SqlParser(filter = true)
    OrderRepairOperatingLog getOrderBaseLogT(@Param("request") OrderPar request);
}
